### Function

# Gimp rectangle_intersect

since: 2.4

#### Declaration [src]

    gboolean
    gimp_rectangle_intersect (
      gint x1,
      gint y1,
      gint width1,
      gint height1,
      gint x2,
      gint y2,
      gint width2,
      gint height2,
      gint* dest_x,
      gint* dest_y,
      gint* dest_width,
      gint* dest_height
    )

#### Description [src]

Calculates the intersection of two rectangles.

Available since: 2.4

#### Parameters

`x1`

  Type: `gint`

  Origin of first rectangle.

`y1`

  Type: `gint`

  Origin of first rectangle.

`width1`

  Type: `gint`

  Width of first rectangle.

`height1`

  Type: `gint`

  Height of first rectangle.

`x2`

  Type: `gint`

  Origin of second rectangle.

`y2`

  Type: `gint`

  Origin of second rectangle.

`width2`

  Type: `gint`

  Width of second rectangle.

`height2`

  Type: `gint`

  Height of second rectangle.

`dest_x`

  Type: `gint*`

  Return location for origin of intersection, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`dest_y`

  Type: `gint*`

  Return location for origin of intersection, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`dest_width`

  Type: `gint*`

  Return location for width of intersection, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`dest_height`

  Type: `gint*`

  Return location for height of intersection, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

`TRUE` if the intersection is non-empty, `FALSE` otherwise.